/*
* Copyright (c) 2000 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/



/*
The LCharSet object used by the Colnor locale.
Generated by COLTAB.
*/

#include <kernel/ls_std.h>
#include <collate.h>

const TUint KUidColnorCollationMethod = 0x100059DD;

static const TUint32 TheColnorKey[] = 
	{
	0x8d72809,0x8d72821,0x8d86f09,0x8d86f21,0x8d86f09,0x8d86f21,0x8d92809,0x8d92821,
	0x8da2409,0x8da2421,0x6f09,0x8dc0109,0x8dc0121,0x8dc2209,0x8dc2221,0x8d60109,
	0x8d60121,0x8d61309,0x8d61321,0x8d63b09,0x8d63b21,0x8d80109,0x8d80121,
	};

static const TUint32 TheColnorIndex[] = 
	{
	0xc60010,0xd80016,0xe6000f,0xf80015,0x1b7000c,0x1e20014,0x1e30013,0x1ee000e,
	0x1ef000d,0x1fc0012,0x1fd0011,0x292000b,0x338000a,
	};

static const TUint16 TheColnorStringElement[] = 
	{
	0x2,0x61,0x308,0x2,0x41,0x308,0x2,0x6f,
	0x335,0x2,0x4f,0x335,0x2,0x6f,0x338,0x2,
	0x4f,0x338,0x2,0x6f,0x308,0x2,0x4f,0x308,
	0x2,0x61,0x30a,0x2,0x41,0x30a,
	};

static const TUint32 TheColnorStringIndex[] = 
	{
	0x30001,0x1b0009,0x150007,0x90003,0xf0005,0x0,0x180008,0x120006,
	0x60002,0xc0004,
	};

static const TCollationKeyTable TheColnorTable = 
	{ TheColnorKey, TheColnorIndex, 13, TheColnorStringElement, TheColnorStringIndex, 10 };

static const TCollationMethod TheCollationMethod[] = 
	{
		{
		KUidColnorCollationMethod, // the method for the locale
		NULL, // use the standard table as the main table
		&TheColnorTable, // the locale values override the standard values
		0 // the flags are standard
		},
		{
		KUidBasicCollationMethod, // the standard unlocalised method
		NULL, // null means use the standard table
		NULL, // there's no override table
		0 // the flags are standard
		}
	};

static const TCollationDataSet TheCollationDataSet =
	{
	TheCollationMethod,
	2
	};

// The one and only locale character set object.
const LCharSet TheCharSet =
	{
	NULL,
	&TheCollationDataSet
	};
